﻿@font-face {
  font-family: doctorPunk;
  src: url(fonts/doctor_punk.otf);
}

@font-face {
  font-family: questionEverything;
  src: url(fonts/question_everything.what.ttf);
}

@font-face {
  font-family: positions;
  src: url(fonts/PositionsByArixbored-Regular%20.otf);
}

@font-face {
  font-family: coralPixels;
  src: url(fonts/CoralPixels-Regular.ttf);
}

@keyframes jiggle {
  from {transform: rotate(1deg);}
  to {transform: rotate(-1deg);}
}

@keyframes popup {
  0% {transform: translateY(0em);}
  33% {transform: translateY(-10em);}
  66% {transform: translateY(-10em);}
  100% {transform: translateY(0em);}
}


html {
  color: lightyellow;
  background-color: white;
  background-repeat: no-repeat;
  background-attachment: scroll;
  cursor: none;
  display: flex;
  align-items: center;
  overflow: hidden;
}

p { 
  font-family: Cambria; 
  font-size: 18px; 
  font-style: normal; 
  font-variant: normal; 
  font-weight: 400; 
  line-height: 22px;
  margin: 5% 100px 5% 100px;
  text-align: justify;
  cursor: text;
}

img {
    cursor: auto;
}

html::selection {
background: rgba(255, 200, 59, 0.75);
color: white;
}

img::selection, br::selection {
background: rgba(0, 0, 0, 0);
color: white;
}

h1 {
  font-size: 135px;
  text-align: center;
  font-family: questionEverything;
  font-weight: 100;
  animation-name: jiggle;
  animation-duration: 0.5s;
  animation-iteration-count: infinite;
  animation-timing-function: steps(2, end);
  animation-direction: alternate;
  margin-top: 8%;
  cursor: grabbing;
}

h1:hover{
   text-transform: uppercase;
}

h2, summary {
  font-size: 30px;
  margin-right: 5%;
  margin-left: 5%;
  margin-bottom: 0px;
  font-family: doctorPunk;
  font-weight: 100;
  cursor: text;
}

details {
  margin-left: 3%;
  margin-right: 3%;
}

h3 {
  font-size: 22px;
  margin: 10px 100px 0px 75px;
  cursor: text;
}

.notice {
  font-size: 28px;
  font-family: positions;
  margin: auto;
  margin-top: -40px;
  text-align: center;
  font-style: italic;
  margin-right: 5%;
  margin-left: 5%;
}

.tooltip {
  cursor: help;
  position: absolute;
}

.tooltiptext {
  visibility: hidden;
  width: 8em;
  top: 50%;
  transform: translate(0, -50%);
  left: 105%;
  margin-left: 15px;
  background-color: white;
  color: #0091ff;
  text-align: center;
  padding: 3px;
  padding-left: 5px ;
  padding-right: 7px ;
  border-radius: 20px;
  position: absolute;
  z-index: 1;
  opacity: 0;
  transition: opacity 0.65s;
  display: inline-block;
}

.tooltip:hover .tooltiptext {
  opacity: 0.85;
  visibility: visible;
}

.tooltiptext::after {
  content: " ";
  position: absolute;
  top: 50%;
  right: 99%; 
  margin-top: -7px;
  border-width: 7px;
  border-style: solid;
  border-color: transparent white transparent transparent;
}

.collection {
  background-image: linear-gradient(in lab, #bfbebb, #828a8f);  
  padding: 0.3%;
  padding-top: 1%;
  outline-style: solid;
  outline-width: 1px;
  outline-color: #3b3b3d;
  border-radius: 1px;
  align-content: center;
  text-align: center;
}

.map {
    border-color: red;
    border-style: solid;
    border width: 4px;
    position: absolute;
    z-index: 3;
}

.title-bar {
    font-family: Arial;
    padding: 5px;
    cursor: auto;
    font-size: 18px;
    color: black;
    background-color: white;
    border-style: solid;
    border-color: grey;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom: transparent;
    outline-width: 2px;
    margin: -2px -2px;
}

.mailbox {
    background-image: linear-gradient(in lab, #89bdf3, #597c9f);
    width: 95%;
    outline-style: solid;
    outline-color: grey;
    outline-width: 2px;
    color: black;
    box-shadow: 0px 0px 2px white inset;
    margin: none;
    padding: 2.5%;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    cursor: default;
    column-count: 2;
}

.mail {
    font-family: coralPixels;
    font-size: 15px;
    background-color: white;
    border-radius: 3px;
    padding: 5px;
    flex: auto;
    width: auto;
    margin: 3%, 3%;
    margin-bottom: 5%;
    cursor: auto;
    color: #481176;
    text-decoration-color: #481176;
    break-inside: avoid;
}

.welcome {
    width: 18%;
    height: 12%;
    background-color: white;
    z-index: 50;
    margin: 0px;
    padding: 2%;
    font-family:Arial;
    font-weight: 500;
    text-align: left;
    color: black;
    border-radius: 5px;
    outline-style: solid; 
    outline-width: 2px;
    outline-color: grey; 
    box-shadow: 4px 4px 4px 2px rgba(0, 6, 56, 0.4), 4px 4px 14px 5px rgba(0, 6, 56, 0.3);
    position: absolute;
    right: 4em;
    bottom: -8em;
    overflow: hidden;
    animation-name: popup;
    animation-duration: 13s;
    animation-iteration-count: 1;
    animation-timing-function: ease-in-out;
    animation-delay: 1s;
    cursor: help;
}

span {
  margin-right: 100px;
  margin-left: 100px;
}

li {
  margin-right: 100px;
  margin-left: 75px;
  margin-top: 5px;
  font-family: Cambria;
  cursor: text;
}

a.regularlink:link {
  font-style: normal; 
  font-variant: normal;
  font-size: inherit;
  text-decoration: underline #481176;
  pointer-events: auto;
  color: #481176;
}

a.regularlink:visited {
  font-style: normal; 
  font-variant: normal;
  text-decoration: underline #481176;
  pointer-events: auto;
  color: #481176;
}

a.regularlink:hover {
  font-style: italic; 
  font-variant: normal;
  font-size: inherit;
  text-decoration: underline #481176;
  pointer-events: auto;
  color: #481176;
}

a:link {
  color: yellow;
  background-color: transparent;
  text-decoration: underline;
  text-decoration-color: yellow;
}

a:visited {
  color: lightyellow;
  background-color: transparent;
  text-decoration-color: lightyellow;
}

a:hover, a img {
  color: lightyellow;
  background-color: transparent;
  font-style: italic;
  font-size: 20px;
  cursor: alias;
}

a:active {
  color: lightyellow;
  background-color: transparent;
  text-decoration: line-through;
  cursor: not-allowed;
}

::-webkit-scrollbar {
  display: none;
}

.foreground {
  z-index: 9;
  height: 2em;
  width: 100%;
  position: fixed;
  top: 0.7em;
  margin-left: 1.5em;
  margin-right: 5em;
  color: black;
  vertical-align: middle;
  font-size: 22px;
  display: flex;
  align-items: center;
  font-weight: 500;
  font-family: Arial;
  box-sizing: border-box;
  cursor: grab;
}

.mareep{
  margin-right: 8px;
  height: 1.5em;
  position: relative;
  top: -0.15em;
}

.button {
  background-image: linear-gradient(in lab, #d2a7a1, #d6958c, #d6958c, #bb3925 50%, #d0907e);
  border: solid;
  border-color: darkred;
  border-radius: 5px;
  color: white;
  padding: 3px 25px;
  text-align: center;
  text-decoration: none;
  font-size: 16px;
  right: 5em;
  position: absolute;
  display: flex;
  align-items: center;
  top: 0.4em;
  cursor: hand;
  font-style: normal;
  transition: border-color 0.5s ease-out; 
}

.button::after {
  background-image: linear-gradient(in lab,#f1bcb5, #f29b8b, #f29b8b, #d42c0d 50%, #e8cf66);
  border-color: #b86b4f; 
  font-style: normal;
  content: 'X';
  border-radius: 3px;
  color: white;
  text-align: center;
  text-decoration: none;
  font-size: 16px;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  display: flex;
  align-items: center;
  cursor: hand;
  opacity: 0;
  transition: opacity 0.5s ease-out;
  z-index: 0;
  justify-content: center;
  transition: border-color 0.5s ease-out;
}

.button:hover {
  background-image: linear-gradient(in lab, #f1bcb5, #f29b8b, #f29b8b, #d42c0d 50%, #e8cf66);
  border-color: #b86b4f;
  transition: border-color 0.5s ease-out;
}

.button:hover::after {
  opacity: 1;
  border-color: #b86b4f; 
  transition: border-color 0.5s ease-out;
}

.button:active {
  background-image: linear-gradient(in lab, #c98583, #ad5950, #ad5950, darkred 50%, #fcba03);
  border-color: darkred;
  font-style: normal;
  transition: border-color 0.5s ease-out;
}

.button:active:after {
  opacity: 1;
  background-image: linear-gradient(in lab, #c98583, #ad5950, #ad5950, darkred 50%, #fcba03);
  border-color: darkred;
  font-style: normal;
  transition: border-color 0.5s ease-out;
}

.container {
    background-image: linear-gradient(in lab, #1c55ff, #1c55ff, #57a4f7);
    height: 96%; 
    width: 98%;
    position: absolute;
    z-index: 1;
    overflow: hidden; 
    margin: 13px;
    top: 50%;
    left: 50%;
    transform: translate(-51%, -52%);
    outline: 3px grey inset;
    outline-style: solid;
    border: outset;
    border-width: 3em 1em 1em 1em;
    border-color: #89bdf3;
    border-radius: 10px;
    border-image-slice: 1;
    outline-offset: 3px;
    box-sizing: border-box;
    padding: 1rem;
    cursor: grab;
}

.container__content {
    overflow: hidden;
    display: inline-block;
    vertical-align: top;
    height: 50%;
    width: 60%;
    overflow: auto;
    padding: 20%;
    margin: 50%;
    margin-top: 0%;
    margin-bottom: 0%;
    top: 0%;
    bottom: 0%;
    overflow-y: auto;
    z-index: 1;
    position: absolute;; 
    transform: translate(-50%, -30%);
}

body::before {
  content: " ";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: linear-gradient(in lab, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.06), rgba(0, 0, 255, 0.06)), linear-gradient(in lab, rgba(0, 0, 0, 0), rgba(207, 239, 255, 0.2));
  z-index: 10;
  background-size: 100% 8px, 100%;
  pointer-events: none;
}

.scrollbar {
    background-image: linear-gradient(90deg, #e8e8e8, #f1f1f1);
    border-left-width: 0;
    position: fixed;
    width: 1.25rem;
    z-index: 3;
    border-radius: 3px;
    margin: 0em;
    bottom: -50%;
    right: 0%;
    height: 100%;
    transform: translateY(-50%);
}

.scrollbar__thumb {
    outline: 1.5px #a2a2a2 solid;
    outline-offset: -2px;
    background-image: linear-gradient(90deg, #f2f2f3, #c2c2c6);
    border-radius: 3px;
    left: 0;
    position: absolute;
    width: 100%;
    top: 0;
    z-index: 3;
    cursor: n-resize;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

.scrollbar__thumb::before {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 50%;
    transform: translateX(-50%);
    color: #a2a2a2;
    align: center;
    content: '\2630';
}

.scrollbar__track {
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 3;
    cursor: n-resize;
}

textarea { 
  font-size: 18px; 
}

.taskbar {
  background-image: linear-gradient(in lab, #173CAD, #173CAD, #1C55FF);
  display: inline-block;
  position: relative;
  margin: 0em;
  position: fixed;
  bottom: -50%;
  left: 0%;
  height: 100%;
  width: 2rem;
  transform: translateY(-50%);
  text-align: center;
  z-index: 9;
  align-content: center;
  }
